io.vertx.ext.mail

## Enum SMTPException.EnhancedStatus

- java.lang.Object
- - java.lang.Enum<SMTPException.EnhancedStatus>
  - - io.vertx.ext.mail.SMTPException.EnhancedStatus

- All Implemented Interfaces:
    Serializable, Comparable<SMTPException.EnhancedStatus>
  Enclosing class:
    SMTPException

      public static enum SMTPException.EnhancedStatus
      extends Enum<SMTPException.EnhancedStatus>

  The Enhanced Status codes.

  See: https://datatracker.ietf.org/doc/html/rfc3463#section-3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OTHER_ADDRESS` x.1.x for Address Status errors
    `OTHER_MAIL_DELIVERY` x.5.x for Mail Delivery Protocol errors
    `OTHER_MAIL_MESSAGE` x.6.x for Message Content or Message Media errors
    `OTHER_MAIL_SYSTEM` x.3.x for Mail System errors
    `OTHER_MAILBOX` x.2.x for Mailbox Status errors
    `OTHER_NETWORK` x.4.x for Network and Routing errors
    `OTHER_SECURITY` x.7.x for Security or Policy errors
    `OTHER_UNDEFINED` x.0.x for Undefined errors
    `OTHER_UNKNOWN` Anything else is unknown, like failures happen before knowing the capabilities or smtp server reply maliciously.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDetail()` Gets detail number of the EnhancedStatus.
    `int` | `getSubject()` Gets the subject of the EnhancedStatus.
    `static SMTPException.EnhancedStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SMTPException.EnhancedStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER_UNDEFINED

          public static final SMTPException.EnhancedStatus OTHER_UNDEFINED

      x.0.x for Undefined errors

    - #### OTHER_ADDRESS

          public static final SMTPException.EnhancedStatus OTHER_ADDRESS

      x.1.x for Address Status errors

    - #### OTHER_MAILBOX

          public static final SMTPException.EnhancedStatus OTHER_MAILBOX

      x.2.x for Mailbox Status errors

    - #### OTHER_MAIL_SYSTEM

          public static final SMTPException.EnhancedStatus OTHER_MAIL_SYSTEM

      x.3.x for Mail System errors

    - #### OTHER_NETWORK

          public static final SMTPException.EnhancedStatus OTHER_NETWORK

      x.4.x for Network and Routing errors

    - #### OTHER_MAIL_DELIVERY

          public static final SMTPException.EnhancedStatus OTHER_MAIL_DELIVERY

      x.5.x for Mail Delivery Protocol errors

    - #### OTHER_MAIL_MESSAGE

          public static final SMTPException.EnhancedStatus OTHER_MAIL_MESSAGE

      x.6.x for Message Content or Message Media errors

    - #### OTHER_SECURITY

          public static final SMTPException.EnhancedStatus OTHER_SECURITY

      x.7.x for Security or Policy errors

    - #### OTHER_UNKNOWN

          public static final SMTPException.EnhancedStatus OTHER_UNKNOWN

      Anything else is unknown, like failures happen before knowing the capabilities or smtp server reply maliciously.

  - ### Method Detail

    - #### values

          public static SMTPException.EnhancedStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SMTPException.EnhancedStatus c : SMTPException.EnhancedStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SMTPException.EnhancedStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSubject

          public int getSubject()

      Gets the subject of the EnhancedStatus.
      Returns:
        the subject of the EnhancedStatus

    - #### getDetail

          public int getDetail()

      Gets detail number of the EnhancedStatus.
      Returns:
        the detail of the EnhancedStatus

Copyright © 2024 Eclipse. All rights reserved.